Kerbal Space Program - Bug #16077

key assignment for german keyboard
10/05/2017 03:14 PM - KroShan

Status: Updated Start date: 10/05/2017
Severity: Normal % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

https://forum.kerbalspaceprogram.com/index.php?/topic/166180-key-assignment-for-german-keyboard/

i updated from a clean 1.3.0 to the pre-release branch [en]. With my german keyboard (qwertz) i a had a few changes:
proximity vessel switching changed:

-prev vessel Bto 0

-next vessel “to +

so it is one 'line' deeper on the keyboard.

http://xahlee.info/kbd/i/layout/Germany_kbd.svg

The focus to current vessel function in map mode was shifted from beeing 'backspace' in all past versions to now beeing ' * '
since this function is not assignable i tried all the keys to find it...

History

#1 - 10/05/2017 06:15 PM - Squelch
- File screenshot30.png added

- Status changed from New to Need More Info
Hi KroShan,
That's interesting. We recently fixed how some keys were being identified, and the layout should now correctly correspond to the same physical key

locations as that in English. Previous and Next vessel should be on [ and ] which correspond to U and +. Reset camera is * on an English layout and
becomes * auf Deutsche

Due to the fix that was applied, the existing, and incorrect key bindings may still be registered in the settings, but are now at the correct locations. In
other words your previous changes may no longer be required, and are now causing problems.

[Update] In the input settings, select any other layout, and then switch back to the QWERTZ layout. This will reset any incorrect bindings and changed
keys.

Things should work correctly after this. | attach a screenshot of the default layout for the QWERTZ layout with the second column showing the
characters detected at those physical locations.

#2 - 10/06/2017 12:12 AM - Squelch

- Project changed from KSP Pre-Release to Kerbal Space Program
- Category changed from Controls to Controls and Ul

- Status changed from Need More Info to Updated

- % Done changed from 0 to 10

- Version changed from Build 01863 to 1.3.1

#3 - 10/06/2017 07:36 AM - KroShan

Yes this reset to default works to set the keys to the equivalent of the english layout.
- nontheless it may be changing the (learned) keyboard assignment for all german players - it was different from 0.18 to now.
